clang 10.0.0git

Macros | Functions
xsavesintrin.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | __DEFAULT_FN_ATTRS __attribute__((__always_inline__, __nodebug__, __target__("xsaves")))

## Functions
static __inline__ void __DEFAULT_FN_ATTRS | _xsaves (void *__p, unsigned long long __m)
static __inline__ void __DEFAULT_FN_ATTRS | _xrstors (void *__p, unsigned long long __m)

## Macro Definition Documentation

## ◆ __DEFAULT_FN_ATTRS

#define __DEFAULT_FN_ATTRS __attribute__((__always_inline__, __nodebug__, __target__("xsaves")))

Definition at line 18 of file xsavesintrin.h.

Referenced by _xrstors(), and _xsaves().

## Function Documentation

## ◆ _xrstors()

static __inline__ void __DEFAULT_FN_ATTRS _xrstors | ( | void * | __p,
|  | unsigned long long | __m
| ) |  |
| static

Definition at line 26 of file xsavesintrin.h.

References __DEFAULT_FN_ATTRS, and __p.

## ◆ _xsaves()

static __inline__ void __DEFAULT_FN_ATTRS _xsaves | ( | void * | __p,
|  | unsigned long long | __m
| ) |  |
| static

Definition at line 21 of file xsavesintrin.h.

References __DEFAULT_FN_ATTRS.